Bug#671266: [CRASH] Uncaught exception ZeroDivisionError in Frontend/Gtk/GtkProgress.py:688

Georgi H. Yordanov jorro_bg at yahoo.com
Wed May 2 20:14:07 UTC 2012

Package: update-manager-gnome
Version: 0.200.5-1
Severity: normal
File: /usr/share/pyshared/UpdateManager/Frontend/Gtk/GtkProgress.py

*** /tmp/update-manager-bugUR6iv6
The information below has been automatically generated.
Please do not remove this from your bug report.

- Exception Type: <type 'exceptions.ZeroDivisionError'>
- Exception Value: ZeroDivisionError('float division',)
- Exception Origin: <_MainThread(MainThread, started -137512896)>
- Exception Traceback:
"/usr/lib/pymodules/python2.6/UpdateManager/Frontend/Gtk/GtkProgress.py", line
602, in _sig_item_update
"/usr/lib/pymodules/python2.6/UpdateManager/Frontend/Gtk/GtkProgress.py", line
688, in _update_percent

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.32-5-sparc64-smp (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages update-manager-gnome depends on:
ii  gconf2                2.28.1-6           GNOME configuration database syste
ii  gksu                  2.0.2-5            graphical frontend to su
ii  python                2.6.6-3+squeeze6   interactive high-level object-orie
ii  python-dbus           0.83.1-1           simple interprocess messaging syst
ii  python-gconf          2.28.1-1           Python bindings for the GConf conf
ii  python-gobject        2.21.4+is.2.21.3-1 Python bindings for the GObject li
ii  python-gtk2           2.17.0-4           Python bindings for the GTK+ widge
ii  python-support        1.0.10             automated rebuilding support for P
ii  python-vte            1:0.24.3-3         Python bindings for the VTE widget
ii  update-manager-core   0.200.5-1          APT update manager core functional

update-manager-gnome recommends no packages.

Versions of packages update-manager-gnome suggests:
ii  software-properties-gtk    0.60.debian-3 manage the repositories that you i
ii  update-notifier            0.99.3debian8 Daemon which notifies about packag

More information about the pkg-gnome-maintainers mailing list